org.apache.http.client.params

## Class ClientParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.client.params.ClientParamBean

- Deprecated.
  (4.3) use `RequestConfig`.

      @Deprecated
      public class ClientParamBean
      extends org.apache.http.params.HttpAbstractParamBean

  This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP client parameters using Java Beans conventions.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

      `params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientParamBean(org.apache.http.params.HttpParams params)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAllowCircularRedirects(boolean allow)` Deprecated.
    `void` | `setConnectionManagerFactoryClassName(String factory)` Deprecated. (4.2) do not use.
    `void` | `setConnectionManagerTimeout(long timeout)` Deprecated.
    `void` | `setCookiePolicy(String policy)` Deprecated.
    `void` | `setDefaultHeaders(Collection<org.apache.http.Header> headers)` Deprecated.
    `void` | `setDefaultHost(org.apache.http.HttpHost host)` Deprecated.
    `void` | `setHandleAuthentication(boolean handle)` Deprecated.
    `void` | `setHandleRedirects(boolean handle)` Deprecated.
    `void` | `setMaxRedirects(int maxRedirects)` Deprecated.
    `void` | `setRejectRelativeRedirect(boolean reject)` Deprecated.
    `void` | `setVirtualHost(org.apache.http.HttpHost host)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientParamBean

          public ClientParamBean(org.apache.http.params.HttpParams params)

      Deprecated.

  - ### Method Detail

    - #### setConnectionManagerFactoryClassName

          @Deprecated
          public void setConnectionManagerFactoryClassName(String factory)

      Deprecated. (4.2) do not use.

    - #### setHandleRedirects

          public void setHandleRedirects(boolean handle)

      Deprecated.

    - #### setRejectRelativeRedirect

          public void setRejectRelativeRedirect(boolean reject)

      Deprecated.

    - #### setMaxRedirects

          public void setMaxRedirects(int maxRedirects)

      Deprecated.

    - #### setAllowCircularRedirects

          public void setAllowCircularRedirects(boolean allow)

      Deprecated.

    - #### setHandleAuthentication

          public void setHandleAuthentication(boolean handle)

      Deprecated.

    - #### setCookiePolicy

          public void setCookiePolicy(String policy)

      Deprecated.

    - #### setVirtualHost

          public void setVirtualHost(org.apache.http.HttpHost host)

      Deprecated.

    - #### setDefaultHeaders

          public void setDefaultHeaders(Collection<org.apache.http.Header> headers)

      Deprecated.

    - #### setDefaultHost

          public void setDefaultHost(org.apache.http.HttpHost host)

      Deprecated.

    - #### setConnectionManagerTimeout

          public void setConnectionManagerTimeout(long timeout)

      Deprecated.
      Since:
        4.2

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.